> For the complete documentation index, see [llms.txt](https://docs.monolithforensics.com/monolith/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monolithforensics.com/monolith/monolith-api/tasks-api/get-tasks.md).

# Get Tasks

## Get Tasks from Monolith

<mark style="color:green;">`GET`</mark> `/api/v1/tasks/:uuid?`

Use this endpoint to retrieve a list of tasks.

Query Params

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| `uuid`             | string  | Unique ID of task.                                          |
| `task_id`          | number  | Unique ID of task.                                          |
| `case_id`          | number  | Unique ID of case linked to tasks.                          |
| `case_uuid`        | string  | Unique ID of case linked to tasks.                          |
| `archived`         | boolean | A flag indicating whether a task is archived or not.        |
| `include_archived` | boolean | A flag indicating whether to include archived tasks or not. |
| `is_complete`      | boolean | A flag indicating if tasks are completed or not.            |
| `user_id`          | number  | ID of user that is assigned to a task or created a task.    |
| `assignee_id`      | number  | ID of user that is assigned to a task.                      |
| `page`             | number  | Selected page of results.                                   |
| `pageSize`         | number  | Number of task items to include in list. Default (10000)    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/tasks-api/get-tasks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
